API ReferenceWebhook Subscriptions
Create webhook subscriptionv3.1
Creates a webhook subscription for the authenticated project. Only one subscription is allowed per project. The signing secret is returned in subscription responses.
Authorization
ApiKeyAuth x-api-key<token>
Project API key authentication
In: header
Request Body
application/json
webhook_urlstringRequired
HTTPS URL to receive webhook events
Format:
urienabled_eventsarray of stringRequired
Array of event types to subscribe to
versionenum
Webhook payload version
Default:
"V3"Possible values:
V1V2V3Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v3.1/webhook_subscriptions" \ -H "Content-Type: application/json" \ -d '{ "webhook_url": "http://example.com", "enabled_events": [ "string" ] }'{ "id": "string", "webhook_url": "string", "version": "V1", "enabled_events": [ "string" ], "secret": "string", "created_at": "string", "updated_at": "string"}